SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'TELE_ORC_ETAPA' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'CD_USU_RESP_INI'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'TELE_ORC_ETAPA' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE DBO.TELE_ORC_ETAPA ADD CD_USU_RESP_INI INT NULL

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO CD_USU_RESP_INI NA TABELA TELE_ORC_ETAPA INSERIDO COM SUCESSO '
END
